%define  base_name   ksplash-engine
%define  theme_name  moodin
%define  name        %{base_name}-%{theme_name}
%define  version     0.4.2     
%define  rel         2 
%define  release     %mkrel %rel
%define  summary     Splash Screen Engine for KDE

Name:      %name
Version:   %version
Release:   %release
Summary:   %summary
License:   GPL
URL:       http://moodwrod.com/
Group:     Graphical desktop/KDE
Source:    http://moodwrod.com/files/%{name}_0.4.2.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot


%description
Splash Screen Engine for KDE
Heavily customizable engine for various types of themes

FEATURES:
- Scale cache
- Fading images
- Use current icon set or custom images
- Unlimited Custom text labels
- Set fading delay and length
- Custom image arrangement
- Resolution independent themes


%prep
rm -rf %buildroot


%setup -n %{theme_name}

make -f admin/Makefile.common

%build

./configure  --program-prefix=%{?_program_prefix} \
        --prefix=%_prefix \
        --exec-prefix=%_prefix \
        --bindir=%_bindir \
        --sbindir=%_sbindir \
        --sysconfdir=%_sysconfdir \
        --datadir=%_datadir \
        --includedir=%_includedir \
        --libdir=%_libdir \
        --libexecdir=%_libdir \
        --localstatedir=%_localstatedir \
        --sharedstatedir=%_sharedstatedir\
        --mandir=%_mandir \
        --infodir=%_infodir \
	--disable-rpath\
%ifarch amd64
        --enable-libsuffix=64           \
%endif
     

%install
rm -rf %buildroot
%{makeinstall_std}


%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%doc COPYING INSTALL AUTHORS
%_libdir/kde3/ksplashmoodin.la
%_libdir/kde3/ksplashmoodin.so
%_datadir/apps/ksplash/Themes/FingerPrint/*.png
%_datadir/apps/ksplash/Themes/FingerPrint/*.jpg
%_datadir/apps/ksplash/Themes/FingerPrint/Theme.rc
%_datadir/apps/ksplash/Themes/MoodinKDE/*.jpg
%_datadir/apps/ksplash/Themes/MoodinKDE/*.png
%_datadir/apps/ksplash/Themes/MoodinKDE/Theme.rc
%_datadir/services/ksplashmoodin.desktop


%changelog
* Sun Jul 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.2-2mdv2007.0
- Rebuild for new extension

* Sun Dec 18 2005 Sebastien Savarin <plouf@mandriva.org> 0.4.2-1mdk
- First Mandriva Linux release
